| Flutter Linux Embedder |

Classes | Functions
fl_scrolling_view_delegate.h File Reference
`#include <gdk/gdk.h>`
`#include <cinttypes>`
`#include <memory>`
`#include "flutter/shell/platform/embedder/embedder.h"`
`#include "flutter/shell/platform/linux/fl_key_event.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_binary_messenger.h"`

Go to the source code of this file.

## Classes
struct | _FlScrollingViewDelegateInterface

## Functions
G_BEGIN_DECLS | G_DECLARE_INTERFACE (FlScrollingViewDelegate, fl_scrolling_view_delegate, FL, SCROLLING_VIEW_DELEGATE, GObject)
void | fl_scrolling_view_delegate_send_mouse_pointer_event (FlScrollingViewDelegate *delegate, FlutterPointerPhase phase, size_t timestamp, double x, double y, FlutterPointerDeviceKind device_kind, double scroll_delta_x, double scroll_delta_y, int64_t buttons)
void | fl_scrolling_view_delegate_send_pointer_pan_zoom_event (FlScrollingViewDelegate *delegate, size_t timestamp, double x, double y, FlutterPointerPhase phase, double pan_x, double pan_y, double scale, double rotation)

## Function Documentation

## ◆ fl_scrolling_view_delegate_send_mouse_pointer_event()

void fl_scrolling_view_delegate_send_mouse_pointer_event | ( | FlScrollingViewDelegate * | delegate,
|  | FlutterPointerPhase | phase,
|  | size_t | timestamp,
|  | double | x,
|  | double | y,
|  | FlutterPointerDeviceKind | device_kind,
|  | double | scroll_delta_x,
|  | double | scroll_delta_y,
|  | int64_t | buttons
| ) |  |

Definition at line 14 of file fl_scrolling_view_delegate.cc.

23 {
24 g_return_if_fail(FL_IS_SCROLLING_VIEW_DELEGATE(self));
25
26 FL_SCROLLING_VIEW_DELEGATE_GET_IFACE(self)->send_mouse_pointer_event(
27 self, phase, timestamp, x, y, device_kind, scroll_delta_x, scroll_delta_y,
28 buttons);
29 }

Referenced by fl_scrolling_manager_handle_scroll_event().

## ◆ fl_scrolling_view_delegate_send_pointer_pan_zoom_event()

void fl_scrolling_view_delegate_send_pointer_pan_zoom_event | ( | FlScrollingViewDelegate * | delegate,
|  | size_t | timestamp,
|  | double | x,
|  | double | y,
|  | FlutterPointerPhase | phase,
|  | double | pan_x,
|  | double | pan_y,
|  | double | scale,
|  | double | rotation
| ) |  |

Definition at line 30 of file fl_scrolling_view_delegate.cc.

39 {
40 g_return_if_fail(FL_IS_SCROLLING_VIEW_DELEGATE(self));
41
42 FL_SCROLLING_VIEW_DELEGATE_GET_IFACE(self)->send_pointer_pan_zoom_event(
43 self, timestamp, x, y, phase, pan_x, pan_y, scale, rotation);
44 }

Referenced by fl_scrolling_manager_handle_rotation_begin(), fl_scrolling_manager_handle_rotation_end(), fl_scrolling_manager_handle_rotation_update(), fl_scrolling_manager_handle_scroll_event(), fl_scrolling_manager_handle_zoom_begin(), fl_scrolling_manager_handle_zoom_end(), and fl_scrolling_manager_handle_zoom_update().

## ◆ G_DECLARE_INTERFACE()

G_BEGIN_DECLS G_DECLARE_INTERFACE | ( | FlScrollingViewDelegate | ,
|  | fl_scrolling_view_delegate | ,
|  | FL | ,
|  | SCROLLING_VIEW_DELEGATE | ,
|  | GObject |
| ) |  |